
Name:			bladeenc
Version:		0.94.2
Release:		%mkrel 3
Summary:		Freeware MP3 encoder
License: 		LGPL
Url: 			http://bladeenc.mp3.no/ 
Group: 			Sound 
Source0: 		http://bladeenc.mp3.no/source/bladeenc-%{version}-src-stable.tar.xz 
Source1: 		http://bladeenc.mp3.no/source/extras.tar.gz
Patch1:			%{name}-main.c.patch
BuildRoot: 		%{_tmppath}/%{name}-%{version}-root

%description
BladeEnc is a freeware MP3 encoder. It is based on the same ISO compression
routines as mpegEnc, so you can expect roughly the same, or better, quality.
The main difference is the appearance and speed. BladeEnc doesn't have a nice,
user-friendly interface like mpegEnc, but it is more than three times faster,
and it works with several popular front-end graphical user interfaces.

%prep
%setup -q -a 1
%patch1 -p1

%build
%configure2_5x
%make

%install
%__rm -fr %buildroot

%makeinstall_std
%__mkdir_p %{buildroot}%{_datadir}/doc/%{name}-%{version}
%__install -m 644 extras/* %{buildroot}%{_datadir}/doc/%{name}-%{version}/

%clean
%__rm -fr %buildroot

%files
%defattr(-, root, root)
%{_bindir}/*
%{_datadir}/doc/%{name}-%{version}

%changelog
* Tue Jul 30 2019 tex - 0.94.2-3pclos2019
- rebuild against updates

* Thu May 13 2010 Texstar <texstar at gmail.com> 0.94.2-2pclos2010
- update for 2010 release

